Bug 44726 - auth_ldap SRPM needs build dependency on apache-devel
Summary: auth_ldap SRPM needs build dependency on apache-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: auth_ldap   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-15 18:57 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 12:30:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-15 18:57:08 UTC
Description of Problem: with the 7.1 product, you cannot build the
auth_dlap SRPM without having apachee-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/auth_ldap*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies.  If you install the
apache-devel rpm, it the auth_ldap SRPM builds without problems.

 How Reproducible: Always

 Steps to Reproduce:
 1. rpm -e apache-devel
 2. rpm -Uvh <tree-path>/SRPMS/auth_ldap*.src.rpm
 3. rpm -ba /usr/src/redhat/SPECS/auth_ldap*spec
 4. rpm -Uvh <tree-path>/RedHat/RPMS/apache-devel*
 5. rpm -ba /usr/src/redhat/SPECS/auth_ldap*spec

 Actual Results:
 first 3 steps result in a failure WITHOUT a build-requires error from
rpm(1)
 next 2 steps build the SRPM without fail


 Expected Results: I would expect an rpm error message to be written to
stderr informing me the auth_ldap SRPM cannot be built without installing
the apache-devel RPM.

Additional Information:

Comment 1 Nalin Dahyabhai 2001-06-26 06:13:40 UTC
Fixed in auth_ldap-1.4.8-3 and later.


Note You need to log in before you can comment on or make changes to this bug.